# Documentation for Parallel Developer Documentation Legacy – v1.x

This documentation is for the legacy version of the Parallel Developer Documentation, which is no longer actively maintained.

For up-to-date documentation, see the [latest version](https://developer.parallelmarkets.com/docs/server/case-management-api/records/create) (Current – v2.x).

## This endpoint can be used to create a record.

### HTTP Request
The specific path to call depends on whether you are creating an individual or business record. Refer to the following to determine which endpoint to call:

- Individual: `POST https://api.parallelmarkets.com/v1/partner-records/individuals`
- Business: `POST https://api.parallelmarkets.com/v1/partner-records/businesses`

### Request Parameters
- Individual Record
- Business Record

| Parameter                     | Description                                                                                                 |
|-------------------------------|-------------------------------------------------------------------------------------------------------------|
| `first_name` _(string)_      | **Required** The first name of the individual.                                                             |
| `last_name` _(string)_       | **Required** The last name of the individual.                                                              |
| `email` _(string)_           | _Optional._ The email address for the individual.                                                          |
| `middle_name` _(string)_     | _Optional._ The middle name of the individual.                                                             |

#### Sample payload
```json
{
  "first_name": "John",
  "last_name": "Smith",
  "middle_name": "Roger",
  "email": "jsmith@email.com"
}
```

| Parameter                     | Description                                                                                                   |
|-------------------------------|---------------------------------------------------------------------------------------------------------------|
| `name` _(string)_            | **Required** The full, legal name of the business.                                                          |
| `primary_contact` _(object)_  | _Optional._ An object containing the following keys: <br>- `id`: The ID of the individual record associated with the primary contact. <br> _Note: In order to pass in a primary contact when creating a business record, the individual primary contact record must first be created in order to correctly set the `id` here._ |
| `control_persons` _(array)_  | _Optional._ An array of objects containing the following keys: <br>- `id`: The ID of the individual record associated with the control person.<br>- `title`: The title of the control person. E.g. `CEO`.<br> _Note: In order to pass in control persons when creating a business record, the individual control person records must first be created in order to correctly set the `id` here._ |
| `beneficial_owners` _(array)_ | _Optional._ An array of objects containing the following keys: <br>- `id`: The ID of the individual or business record associated with the beneficial owner.<br>- `ownership_percent`: The fractional amount of direct ownership this entity has of the business (float number > 0.0 and ≤ 1.0). E.g. `0.25` (25%).<br> _Note: In order to pass in beneficial owners when creating a business record, the individual or business records for each beneficial owner must first be created in order to correctly set the `id` here._ |

```json
{
  "name": "Hooli LTD",
  "primary_contact": {
    "id": "UG9kVXNlclJlY29yZDox"
  },
  "control_persons": [
    {
      "id": "UG9kVXNlclJlY29yZDox",
      "title": "CEO"
    }
  ],
  "beneficial_owners": [
    {
      "id": "UG9kVXNlclJlY29yZDox",
      "ownership_percent": 0.25
    }
  ]
}
```

### Response Parameters
Returns a [Record](https://developer.parallelmarkets.com/docs/1.x/server/data-structures#record) after successful record creation.

### Example Response
- Individual Record
- Business Record

```json
{
  "data": {
    "id": "UG9kVXNlclJlY29yZDoxNzM=",
    "type": "individual",
    "details": {
      "email": "jsmith@email.com",
      "phone": null,
      "first_name": "John",
      "middle_name": "Roger",
      "last_name": "Smith",
      "birth_date": null,
      "residence_location": null,
      "accreditation_assertion_type": null,
      "user_session": null,
      "accreditation_status": null,
      "marital_status": null,
      "indicated_unaccredited_at": null,
      "accreditation_expires_at": null,
      "domicile_location": null,
      "citizenship_country": null,
      "consistency_summary": {
        "tin_multiple_match": null,
        "possibly_deceased": null,
        "address_records_match_level": null,
        "address_submitter_match": null,
        "name_records_match_level": null,
        "name_tax_match": null,
        "tin_records_match_level": null,
        "overall_records_match_level": null,
        "address_id_match": null,
        "birth_date_id_match": null,
        "birth_date_records_match_level": null,
        "id_validity": null,
        "name_id_match": null,
        "address_id_value": null,
        "birth_date_id_value": null,
        "id_selfie_similarity_level": null,
        "name_id_value": null,
        "selfie_liveness_probability_level": null,
        "name_tax_value": null
      },
      "change_created_at": "2023-09-01T09:57:23Z",
      "change_created_by": null,
      "change_id": "UG9kVXNlckRhdGFFbnRyeTo4MDA=",
      "tax_country": null,
      "tax_id": null,
      "id_expiration": null
    },
    "identity_link_established_at": null,
    "archived_at": null,
    "identity_link_expiration_requested_by": null,
    "identity_link_expires_at": null,
    "current_status": {
      "status": "open",
      "notes": null,
      "set_by": null,
      "set_at": "2023-09-01T09:57:23Z"
    }
  }
}
```

```json
{
  "data": {
    "id": "UG9kQnVzaW5lc3NSZWNvcmQ6MTQ5",
    "type": "business",
    "details": {
      "name": "Hooli Ltd",
      "principal_location": null,
      "accreditation_assertion_type": null,
      "business_type": null,
      "accreditation_status": null,
      "primary_contact": {
        "email": null,
        "first_name": null,
        "last_name": null
      },
      "control_persons": [],
      "beneficial_owners": [],
      "indicated_unaccredited_at": null,
      "accreditation_expires_at": null,
      "incorporation_country": null,
      "incorporation_region": null,
      "incorporation_state": null,
      "beneficial_ownership_threshold": null,
      "consistency_summary": {
        "tin_multiple_match": null,
        "possibly_deceased": null,
        "address_records_match_level": null,
        "address_submitter_match": null,
        "name_records_match_level": null,
        "name_tax_match": null,
        "tin_records_match_level": null,
        "overall_records_match_level": null,
        "address_id_match": null,
        "birth_date_id_match": null,
        "birth_date_records_match_level": null,
        "id_validity": null,
        "name_id_match": null,
        "address_id_value": null,
        "birth_date_id_value": null,
        "id_selfie_similarity_level": null,
        "name_id_value": null,
        "selfie_liveness_probability_level": null,
        "name_tax_value": null
      },
      "change_created_at": "2023-09-01T09:59:10Z",
      "change_created_by": null,
      "change_id": "UG9kQnVzaW5lc3NEYXRhRW50cnk6NDMz",
      "tax_id": null
    },
    "identity_link_established_at": null,
    "archived_at": null,
    "identity_link_expiration_requested_by": null,
    "identity_link_expires_at": null,
    "current_status": {
      "status": "open",
      "notes": null,
      "set_by": null,
      "set_at": "2023-09-01T09:59:10Z"
    }
  }
}
```
